### Constructor

# ECal Component new_from_string

since: 3.34

#### Declaration [src]

    ECalComponent*
    e_cal_component_new_from_string (
      const gchar* calobj
    )

#### Description [src]

Creates a new calendar component object from the given iCalendar string.

Available since: 3.34

#### Parameters

`calobj`

  Type: `const gchar*`

  A string representation of an iCalendar component.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponent`

A calendar component representing the given iCalendar string on success, `NULL` if there was an error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.